SYSTEMD-TTY-ASK-PASSWORD-AGENT(1)

NAME
systemd-tty-ask-password-agent - List or process pending systemd password requests

SYNOPSIS

systemd-tty-ask-password-agent [OPTIONS...] [VARIABLE=VALUE...]

DESCRIPTION

systemd-tty-ask-password-agent is a password agent that handles password requests of the system, for example for hard disk encryption passwords or SSL certificate passwords that need to be queried at boot-time or during runtime.

systemd-tty-ask-password-agent implements the Password Agents Specification[1], and is one of many possible response agents which answer to queries formulated with systemd-ask-password(1).

OPTIONS

The following options are understood:

--list
    Lists all currently pending system password requests.

    Added in version 186.

--query
    Process all currently pending system password requests by querying the user on the calling TTY.

    Added in version 186.

--watch
    Continuously process password requests.

    Added in version 186.

--wall
    Forward password requests to wall(1) instead of querying the user on the calling TTY.

    Added in version 186.

--plymouth
    Ask question with plymouth(8) instead of querying the user on the calling TTY.

    Added in version 186.

--console[=DEVICE]
    Ask question on TTY DEVICE instead of querying the user on the calling TTY. If DEVICE is not specified, /dev/console will be used.

    Added in version 186.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), systemctl(1), systemd-ask-password-console.service(8), wall(1), plymouth(8)

NOTES

1.  Password Agents Specification
    https://systemd.io/PASSWORD_AGENTS/